Index: issm/trunk-jpl/src/c/EnumDefinitions/EnumDefinitions.h
===================================================================
--- issm/trunk-jpl/src/c/EnumDefinitions/EnumDefinitions.h	(revision 11642)
+++ issm/trunk-jpl/src/c/EnumDefinitions/EnumDefinitions.h	(revision 11643)
@@ -480,6 +480,3 @@
 };
 
-/*Functions on enums: */
-const char *EnumToModelField(int  en);
-
 #endif
Index: issm/trunk-jpl/src/c/EnumDefinitions/EnumToModelField.cpp
===================================================================
--- issm/trunk-jpl/src/c/EnumDefinitions/EnumToModelField.cpp	(revision 11642)
+++ 	(revision )
@@ -1,28 +1,0 @@
-/*\file EnumToModelField.cpp:
-* \brief: output string associated with enum, that corresponds  to a model field
-* for example: ThicknessEnum corresponds to model field thickness
-*              FrictionCoefficientEnum corresponds to model field drag
-*/
-
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "./EnumDefinitions.h"
-
-const char* EnumToModelField(int en){
-
-	switch(en){
-
-		case ThicknessEnum : return "thickness";
-		case FrictionCoefficientEnum : return "drag_coefficient";
-		case MaterialsRheologyBEnum : return "rheology_B";
-		case MaterialsRheologyBbarEnum : return "rheology_B";
-		case BalancethicknessThickeningRateEnum: return "dhdt";
-		case VxEnum : return "vx";
-		case InversionVxObsEnum : return "vx_obs";
-		case VyEnum : return "vy";
-		case InversionVyObsEnum : return "vy_obs";
-		case BasalforcingsMeltingRateEnum : return "basal_melting_rate";
-		case SurfaceforcingsMassBalanceEnum : return "surface_mass_balance";
-		default : _error_("No model field is associated to enum %s",EnumToStringx(en));
-	}
-}
Index: issm/trunk-jpl/src/c/EnumDefinitions/README
===================================================================
--- issm/trunk-jpl/src/c/EnumDefinitions/README	(revision 11642)
+++ issm/trunk-jpl/src/c/EnumDefinitions/README	(revision 11643)
@@ -4,5 +4,5 @@
 - EnumToStringx.cpp
 - src/m/enum/*
-all these files are automatically synchronized with EnumDefinitions.h and EnumToModelField.cpp
+all these files are automatically synchronized with EnumDefinitions.h
 
 TO ADD AN ENUM:
Index: issm/trunk-jpl/src/c/EnumDefinitions/Synchronize.sh
===================================================================
--- issm/trunk-jpl/src/c/EnumDefinitions/Synchronize.sh	(revision 11642)
+++ issm/trunk-jpl/src/c/EnumDefinitions/Synchronize.sh	(revision 11643)
@@ -13,29 +13,4 @@
 NUMENUMS=$(wc -l temp | awk '{printf("%s",$1);}');
 
-#Take care of EnumToModelField.m first (easy)
-#Build EnumToModelField.m {{{1
-cat <<END > $ISSM_TIER/src/m/enum/EnumToModelField.m
-function string=EnumToModelField(enum)
-%ENUMTOMODELFIELD - output string of model field associated to enum
-%
-%   WARNING: DO NOT MODIFY THIS FILE
-%            this file has been automatically generated by src/c/EnumDefinitions/Synchronize.sh
-%            Please read src/c/EnumDefinitions/README for more information
-%
-%   Usage:
-%      string=EnumToModelField(enum)
-
-switch enum,
-
-END
-
-cat EnumToModelField.cpp | grep "case" | sed -e "s/Enum :/Enum(),/g" -e "s/\"/'/g" -e "s/return /string=/g" -e "s/;/; return/g" >> $ISSM_TIER/src/m/enum/EnumToModelField.m
-
-cat <<END >> $ISSM_TIER/src/m/enum/EnumToModelField.m
-		otherwise, error(['Enum ' num2str(enum)  ' not found associated to any model field']);
-
-end
-END
-#}}}
 #Build EnumToStringx.cpp {{{1
 #Header
Index: issm/trunk-jpl/src/c/Makefile.am
===================================================================
--- issm/trunk-jpl/src/c/Makefile.am	(revision 11642)
+++ issm/trunk-jpl/src/c/Makefile.am	(revision 11643)
@@ -253,5 +253,4 @@
 					./io/PrintfFunction.cpp\
 					./EnumDefinitions/EnumDefinitions.h\
-					./EnumDefinitions/EnumToModelField.cpp\
 					./modules/ModelProcessorx/ModelProcessorx.h\
 					./modules/ModelProcessorx/ModelProcessorx.cpp\
Index: issm/trunk-jpl/src/m/enum/EnumToModelField.m
===================================================================
--- issm/trunk-jpl/src/m/enum/EnumToModelField.m	(revision 11642)
+++ 	(revision )
@@ -1,28 +1,0 @@
-function string=EnumToModelField(enum)
-%ENUMTOMODELFIELD - output string of model field associated to enum
-%
-%   WARNING: DO NOT MODIFY THIS FILE
-%            this file has been automatically generated by src/c/EnumDefinitions/Synchronize.sh
-%            Please read src/c/EnumDefinitions/README for more information
-%
-%   Usage:
-%      string=EnumToModelField(enum)
-
-switch enum,
-
-		case ThicknessEnum(), string='thickness'; return
-		case FrictionCoefficientEnum(), string='drag_coefficient'; return
-		case MaterialsRheologyBEnum(), string='rheology_B'; return
-		case MaterialsRheologyBbarEnum(), string='rheology_B'; return
-		case BalancethicknessThickeningRateEnum: string='dhdt'; return
-		case VxEnum(), string='vx'; return
-		case InversionVxObsEnum(), string='vx_obs'; return
-		case VyEnum(), string='vy'; return
-		case InversionVyObsEnum(), string='vy_obs'; return
-		case BasalforcingsMeltingRateEnum(), string='basal_melting_rate'; return
-      case SurfaceforcingsAccumulationRateEnum(), string='surface_accumulation_rate'; return
-		case SurfaceforcingsAblationRateEnum(), string='surface_ablation_rate'; return
-		case SurfaceforcingsMassBalanceEnum(), string='surface_mass_balance'; return
-		otherwise, error(['Enum ' num2str(enum)  ' not found associated to any model field']);
-
-end
Index: issm/trunk-jpl/src/m/model/EnumToModelField.m
===================================================================
--- issm/trunk-jpl/src/m/model/EnumToModelField.m	(revision 11643)
+++ issm/trunk-jpl/src/m/model/EnumToModelField.m	(revision 11643)
@@ -0,0 +1,26 @@
+function string=EnumToModelField(enum)
+%ENUMTOMODELFIELD - output string of model field associated to enum
+%
+%   Usage:
+%      string=EnumToModelField(enum)
+
+disp('Warning: EnumToModelField is deprecated, it cannot work with new model definition. This function will be removed in the future');
+
+switch enum,
+
+		case ThicknessEnum(), string='thickness'; return
+		case FrictionCoefficientEnum(), string='drag_coefficient'; return
+		case MaterialsRheologyBEnum(), string='rheology_B'; return
+		case MaterialsRheologyBbarEnum(), string='rheology_B'; return
+		case BalancethicknessThickeningRateEnum: string='dhdt'; return
+		case VxEnum(), string='vx'; return
+		case InversionVxObsEnum(), string='vx_obs'; return
+		case VyEnum(), string='vy'; return
+		case InversionVyObsEnum(), string='vy_obs'; return
+		case BasalforcingsMeltingRateEnum(), string='basal_melting_rate'; return
+      case SurfaceforcingsAccumulationRateEnum(), string='surface_accumulation_rate'; return
+		case SurfaceforcingsAblationRateEnum(), string='surface_ablation_rate'; return
+		case SurfaceforcingsMassBalanceEnum(), string='surface_mass_balance'; return
+		otherwise, error(['Enum ' num2str(enum)  ' not found associated to any model field']);
+
+end