Index: issm/trunk-jpl/externalpackages/metis/configs/4.0/altix64/Makefile.in.patch
===================================================================
--- issm/trunk-jpl/externalpackages/metis/configs/4.0/altix64/Makefile.in.patch	(revision 11766)
+++ issm/trunk-jpl/externalpackages/metis/configs/4.0/altix64/Makefile.in.patch	(revision 11767)
@@ -1,8 +1,10 @@
-3c3
-< CC = gcc
+3c3,5
+< CC = cc
 ---
-> CC = cc
-8c8
-< OPTFLAGS = -DLINUX -fPIC
+> CC = gcc
+> OBJ_EXT=o
+> LIB_EXT=a
+6c8
+< OPTFLAGS = -O2 
 ---
-> OPTFLAGS = -O2 
+> OPTFLAGS = -DLINUX -fPIC
Index: issm/trunk-jpl/externalpackages/metis/configs/4.0/cosmos/Makefile.in.patch
===================================================================
--- issm/trunk-jpl/externalpackages/metis/configs/4.0/cosmos/Makefile.in.patch	(revision 11766)
+++ issm/trunk-jpl/externalpackages/metis/configs/4.0/cosmos/Makefile.in.patch	(revision 11767)
@@ -1,8 +1,10 @@
-3c3
-< CC = icc
+3c3,5
+< CC = cc
 ---
-> CC = cc
-8c8
-< OPTFLAGS = -DLINUX -fPIC
+> CC = icc
+> OBJ_EXT=o
+> LIB_EXT=a
+6c8
+< OPTFLAGS = -O2 
 ---
-> OPTFLAGS = -O2 
+> OPTFLAGS = -DLINUX -fPIC
Index: issm/trunk-jpl/externalpackages/metis/configs/4.0/greenplanet/Makefile.in.patch
===================================================================
--- issm/trunk-jpl/externalpackages/metis/configs/4.0/greenplanet/Makefile.in.patch	(revision 11766)
+++ issm/trunk-jpl/externalpackages/metis/configs/4.0/greenplanet/Makefile.in.patch	(revision 11767)
@@ -1,8 +1,10 @@
-3c3
-< CC = gcc
+3c3,5
+< CC = cc
 ---
 > CC = icc
-8c8
-< OPTFLAGS = -DLINUX -fPIC
+> OBJ_EXT=o
+> LIB_EXT=a
+6c8
+< OPTFLAGS = -O2 
 ---
-> OPTFLAGS = -O3
+> OPTFLAGS = -DLINUX -fPIC
Index: issm/trunk-jpl/externalpackages/metis/configs/4.0/macosx32/Makefile.in.patch
===================================================================
--- issm/trunk-jpl/externalpackages/metis/configs/4.0/macosx32/Makefile.in.patch	(revision 11766)
+++ issm/trunk-jpl/externalpackages/metis/configs/4.0/macosx32/Makefile.in.patch	(revision 11767)
@@ -1,8 +1,10 @@
-3c3
-< CC = gcc
+3c3,5
+< CC = cc
 ---
-> CC = cc
-8c8
-< OPTFLAGS = -DLINUX -fPIC
+> CC = gcc
+> OBJ_EXT=o
+> LIB_EXT=a
+6c8
+< OPTFLAGS = -O2 
 ---
 > OPTFLAGS = -O2  -m32
Index: issm/trunk-jpl/externalpackages/metis/configs/4.0/macosx64/Makefile.in.patch
===================================================================
--- issm/trunk-jpl/externalpackages/metis/configs/4.0/macosx64/Makefile.in.patch	(revision 11766)
+++ issm/trunk-jpl/externalpackages/metis/configs/4.0/macosx64/Makefile.in.patch	(revision 11767)
@@ -1,8 +1,10 @@
-3c3
-< CC = gcc
+3c3,5
+< CC = cc
 ---
-> CC = cc
-8c8
-< OPTFLAGS = -DLINUX -fPIC
+> CC = gcc
+> OBJ_EXT=o
+> LIB_EXT=a
+6c8
+< OPTFLAGS = -O2 
 ---
 > OPTFLAGS = -O2  -m64
Index: issm/trunk-jpl/externalpackages/metis/configs/4.0/pleiades/Makefile.in.patch
===================================================================
--- issm/trunk-jpl/externalpackages/metis/configs/4.0/pleiades/Makefile.in.patch	(revision 11766)
+++ issm/trunk-jpl/externalpackages/metis/configs/4.0/pleiades/Makefile.in.patch	(revision 11767)
@@ -1,8 +1,10 @@
-3c3
-< CC = gcc
+3c3,5
+< CC = cc
 ---
 > CC = icc
-8c8
-< OPTFLAGS = -DLINUX -fPIC
+> OBJ_EXT=o
+> LIB_EXT=a
+6c8
+< OPTFLAGS = -O2 
 ---
-> OPTFLAGS = -O2 
+> OPTFLAGS = -DLINUX -fPIC
Index: issm/trunk-jpl/externalpackages/metis/configs/4.0/win32/Makefile.in.patch
===================================================================
--- issm/trunk-jpl/externalpackages/metis/configs/4.0/win32/Makefile.in.patch	(revision 11766)
+++ issm/trunk-jpl/externalpackages/metis/configs/4.0/win32/Makefile.in.patch	(revision 11767)
@@ -1,12 +1,10 @@
-3,5c3,5
-< CC = gcc
-< OBJ_EXT=o
-< LIB_EXT=a
+3c3,5
+< CC = cc
 ---
 > CC = icl
 > OBJ_EXT=obj
 > LIB_EXT=lib
-8c8
-< OPTFLAGS = -DLINUX -fPIC
+6c8
+< OPTFLAGS = -O2 
 ---
 > OPTFLAGS = -DWIN32 -D__VC__
Index: issm/trunk-jpl/externalpackages/metis/configs/4.0/win7/Makefile.in.patch
===================================================================
--- issm/trunk-jpl/externalpackages/metis/configs/4.0/win7/Makefile.in.patch	(revision 11766)
+++ issm/trunk-jpl/externalpackages/metis/configs/4.0/win7/Makefile.in.patch	(revision 11767)
@@ -1,15 +1,13 @@
-3,5c3,5
-< CC = cl
-< OBJ_EXT=obj
-< LIB_EXT=lib
+3c3,5
+< CC = cc
 ---
-> CC = gcc
-> OBJ_EXT=o
-> LIB_EXT=a
-8c8
-< OPTFLAGS = -DWIN32 -D__VC__
+> CC = cl
+> OBJ_EXT=obj
+> LIB_EXT=lib
+6c8
+< OPTFLAGS = -O2 
 ---
-> OPTFLAGS = -DLINUX -fPIC
-16,17c16,24
+> OPTFLAGS = -DWIN32 -D__VC__
+16,17c16,22
 < # What tool to use to create library
 < LIB=lib.exe
@@ -22,4 +20,2 @@
 > #RANLIB = ar -ts
 > #RANLIB = 
-> 
-> 