Index: issm/trunk-jpl/src/c/Container/Constraints.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Constraints.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/Container/Constraints.cpp	(revision 12016)
@@ -48,10 +48,6 @@
 
 	/*figure out total number of constraints combining all the cpus (no clones here)*/
-	#ifdef _PARALLEL_
 	MPI_Reduce(&localconstraints,&numberofconstraints,1,MPI_INT,MPI_SUM,0,MPI_COMM_WORLD );
 	MPI_Bcast(&numberofconstraints,1,MPI_INT,0,MPI_COMM_WORLD);
-	#else
-	numberofconstraints=localconstraints;
-	#endif
 
 	return numberofconstraints;
Index: issm/trunk-jpl/src/c/Container/Elements.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Elements.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/Container/Elements.cpp	(revision 12016)
@@ -124,5 +124,4 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Synchronize across cluster, so as to not end up with different sizes for each patch on each cpu: */
 	MPI_Reduce (&numvertices,&max_numvertices,1,MPI_INT,MPI_MAX,0,MPI_COMM_WORLD );
@@ -133,5 +132,4 @@
 	MPI_Bcast(&max_numnodes,1,MPI_INT,0,MPI_COMM_WORLD);
 	numnodes=max_numnodes;
-	#endif
 
 	/*Ok, initialize Patch object: */
@@ -250,7 +248,5 @@
 
 		/*Gather onto master cpu 0, if needed: */
-#ifdef _PARALLEL_
 		if(io_gather)patch->Gather();
-#endif
 
 		/*create result object and add to results dataset:*/
@@ -276,10 +272,6 @@
 	int numberofelements;
 
-	#ifdef _PARALLEL_
 	local_nelem=this->Size();
 	MPI_Allreduce ( (void*)&local_nelem,(void*)&numberofelements,1,MPI_INT,MPI_SUM,MPI_COMM_WORLD);
-	#else
-	numberofelements=this->Size();
-	#endif
 
 	return numberofelements;
Index: issm/trunk-jpl/src/c/Container/Loads.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Loads.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/Container/Loads.cpp	(revision 12016)
@@ -63,10 +63,6 @@
 
 	/*figure out total number of loads combining all the cpus (no clones here)*/
-	#ifdef _PARALLEL_
 	MPI_Reduce(&localloads,&numberofloads,1,MPI_INT,MPI_SUM,0,MPI_COMM_WORLD );
 	MPI_Bcast(&numberofloads,1,MPI_INT,0,MPI_COMM_WORLD);
-	#else
-	numberofloads=localloads;
-	#endif
 
 	return numberofloads;
Index: issm/trunk-jpl/src/c/Container/Nodes.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Nodes.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/Container/Nodes.cpp	(revision 12016)
@@ -204,9 +204,7 @@
 	}
 
-#ifdef _PARALLEL_
 	/*Grab max of all cpus: */
 	MPI_Allreduce ( (void*)&max,(void*)&allmax,1,MPI_INT,MPI_MAX,MPI_COMM_WORLD);
 	max=allmax;
-#endif
 
 	return max;
@@ -288,9 +286,7 @@
 	}
 
-	#ifdef _PARALLEL_
-		MPI_Reduce (&max_sid,&node_max_sid,1,MPI_INT,MPI_MAX,0,MPI_COMM_WORLD );
-		MPI_Bcast(&node_max_sid,1,MPI_INT,0,MPI_COMM_WORLD);
-		max_sid=node_max_sid;
-	#endif 
+	MPI_Reduce (&max_sid,&node_max_sid,1,MPI_INT,MPI_MAX,0,MPI_COMM_WORLD );
+	MPI_Bcast(&node_max_sid,1,MPI_INT,0,MPI_COMM_WORLD);
+	max_sid=node_max_sid;
 
 	if(max_sid==1){
Index: issm/trunk-jpl/src/c/Container/Vertices.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Vertices.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/Container/Vertices.cpp	(revision 12016)
@@ -149,9 +149,7 @@
 	}
 
-	#ifdef _PARALLEL_
 	MPI_Reduce (&max_sid,&vertex_max_sid,1,MPI_INT,MPI_MAX,0,MPI_COMM_WORLD );
 	MPI_Bcast(&vertex_max_sid,1,MPI_INT,0,MPI_COMM_WORLD);
 	max_sid=vertex_max_sid;
-	#endif
 
 	/*sid starts at 0*/
Index: issm/trunk-jpl/src/c/Makefile.am
===================================================================
--- issm/trunk-jpl/src/c/Makefile.am	(revision 12015)
+++ issm/trunk-jpl/src/c/Makefile.am	(revision 12016)
@@ -361,10 +361,10 @@
 #}}}
 #Transient sources  {{{1
-transient_sources  = ./modules/ModelProcessorx/Transient/UpdateElementsTransient.cpp
-transient_psources = ./solutions/transient_core.cpp
+transient_sources  = ./modules/ModelProcessorx/Transient/UpdateElementsTransient.cpp \
+					 ./solutions/transient_core.cpp
 #}}}
 #Steadystate sources  {{{1
-steadystate_psources = ./solutions/steadystate_core.cpp\
-					        ./solutions/steadystateconvergence.cpp
+steadystate_sources = ./solutions/steadystate_core.cpp\
+					  ./solutions/steadystateconvergence.cpp
 #}}}
 #Prognostic sources  {{{1
@@ -372,6 +372,6 @@
 					      ./modules/ModelProcessorx/Prognostic/CreateNodesPrognostic.cpp\
 					      ./modules/ModelProcessorx/Prognostic/CreateConstraintsPrognostic.cpp\
-					      ./modules/ModelProcessorx/Prognostic/CreateLoadsPrognostic.cpp
-prognostic_psources = ./solutions/prognostic_core.cpp
+					      ./modules/ModelProcessorx/Prognostic/CreateLoadsPrognostic.cpp\
+						  ./solutions/prognostic_core.cpp
 #}}}
 #Thermal sources  {{{1
@@ -390,9 +390,8 @@
 					   ./modules/ConstraintsStatex/ThermalConstraintsState.cpp\
 					   ./modules/ConstraintsStatex/ThermalIsPresent.cpp\
-					   ./modules/ResetConstraintsx/ThermalConstraintsReset.cpp
-
-thermal_psources = ./solutions/thermal_core.cpp\
-					    ./solutions/enthalpy_core.cpp\
-					    ./solvers/solver_thermal_nonlinear.cpp
+					   ./modules/ResetConstraintsx/ThermalConstraintsReset.cpp \
+					   ./solutions/thermal_core.cpp\
+					   ./solutions/enthalpy_core.cpp\
+					   ./solvers/solver_thermal_nonlinear.cpp
 #}}}
 #Control sources  {{{1
@@ -438,7 +437,6 @@
 					  ./objects/Inputs/ControlInput.cpp\
 					  ./shared/Numerics/BrentSearch.cpp\
-					  ./shared/Numerics/OptimalSearch.cpp
-
-control_psources=./solutions/control_core.cpp\
+					  ./shared/Numerics/OptimalSearch.cpp \
+					  ./solutions/control_core.cpp\
 					  ./solutions/controltao_core.cpp\
 					  ./solutions/controlrestart.cpp\
@@ -456,8 +454,7 @@
 					      ./modules/ModelProcessorx/Hydrology/CreateNodesHydrology.cpp\
 					      ./modules/ModelProcessorx/Hydrology/CreateConstraintsHydrology.cpp\
-					      ./modules/ModelProcessorx/Hydrology/CreateLoadsHydrology.cpp
-					  
-hydrology_psources  = ./solutions/hydrology_core.cpp\
-					       ./solutions/hydrology_core_step.cpp 
+					      ./modules/ModelProcessorx/Hydrology/CreateLoadsHydrology.cpp \
+						  ./solutions/hydrology_core.cpp\
+						  ./solutions/hydrology_core_step.cpp 
 #}}}
 #Diagnostic sources  {{{1
@@ -474,11 +471,11 @@
 					      ./modules/ModelProcessorx/DiagnosticHutter/CreateConstraintsDiagnosticHutter.cpp \
 					      ./modules/ModelProcessorx/DiagnosticHutter/CreateLoadsDiagnosticHutter.cpp \
-							./shared/Elements/CoordinateSystemTransform.cpp\
-							./shared/Elements/TransformLoadVectorCoord.cpp \
-							./shared/Elements/TransformStiffnessMatrixCoord.cpp \
-							./shared/Elements/TransformInvStiffnessMatrixCoord.cpp \
-							./shared/Elements/TransformSolutionCoord.cpp
-diagnostic_psources =./solutions/diagnostic_core.cpp\
-					      ./solvers/solver_stokescoupling_nonlinear.cpp
+						  ./shared/Elements/CoordinateSystemTransform.cpp\
+						  ./shared/Elements/TransformLoadVectorCoord.cpp \
+						  ./shared/Elements/TransformStiffnessMatrixCoord.cpp \
+						  ./shared/Elements/TransformInvStiffnessMatrixCoord.cpp \
+						  ./shared/Elements/TransformSolutionCoord.cpp\
+						  ./solutions/diagnostic_core.cpp\
+						  ./solvers/solver_stokescoupling_nonlinear.cpp
 #}}}
 #Balanced sources  {{{1
@@ -486,6 +483,6 @@
 					    ./modules/ModelProcessorx/Balancethickness/CreateNodesBalancethickness.cpp\
 					    ./modules/ModelProcessorx/Balancethickness/CreateConstraintsBalancethickness.cpp\
-					    ./modules/ModelProcessorx/Balancethickness/CreateLoadsBalancethickness.cpp
-balanced_psources = ./solutions/balancethickness_core.cpp
+						./modules/ModelProcessorx/Balancethickness/CreateLoadsBalancethickness.cpp\
+						./solutions/balancethickness_core.cpp
 #}}}
 #Responses sources  {{{1
@@ -527,6 +524,6 @@
 					  ./modules/ModelProcessorx/SurfaceSlope/CreateNodesSurfaceSlope.cpp \
 					  ./modules/ModelProcessorx/SurfaceSlope/CreateConstraintsSurfaceSlope.cpp\
-					  ./modules/ModelProcessorx/SurfaceSlope/CreateLoadsSurfaceSlope.cpp
-slope_psources = ./solutions/surfaceslope_core.cpp\
+					  ./modules/ModelProcessorx/SurfaceSlope/CreateLoadsSurfaceSlope.cpp\
+					  ./solutions/surfaceslope_core.cpp\
 					  ./solutions/bedslope_core.cpp
 #}}}
Index: issm/trunk-jpl/src/c/matlab/io/PrintfFunction.cpp
===================================================================
--- issm/trunk-jpl/src/c/matlab/io/PrintfFunction.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/matlab/io/PrintfFunction.cpp	(revision 12016)
@@ -51,9 +51,5 @@
 
 	/*Ok, if we are running in parallel, get node 0 to print*/
-#if defined(_PARALLEL_)
 	if(my_rank==0)printf(buffer);
-#else
-	mexPrintf(buffer);
-#endif
 
 	/*Clean up and return*/
Index: issm/trunk-jpl/src/c/modules/ConstraintsStatex/RiftConstraintsState.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/ConstraintsStatex/RiftConstraintsState.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/ConstraintsStatex/RiftConstraintsState.cpp	(revision 12016)
@@ -32,9 +32,7 @@
 	}
 
-	#ifdef _PARALLEL_
 	MPI_Reduce (&found,&mpi_found,1,MPI_INT,MPI_SUM,0,MPI_COMM_WORLD );
 	MPI_Bcast(&mpi_found,1,MPI_INT,0,MPI_COMM_WORLD);                
 	found=mpi_found;
-	#endif
 
 	return found;
@@ -95,9 +93,7 @@
 	}
 
-	#ifdef _PARALLEL_
 	MPI_Reduce (&num_unstable_constraints,&sum_num_unstable_constraints,1,MPI_INT,MPI_SUM,0,MPI_COMM_WORLD );
 	MPI_Bcast(&sum_num_unstable_constraints,1,MPI_INT,0,MPI_COMM_WORLD);                
 	num_unstable_constraints=sum_num_unstable_constraints;
-	#endif
 	
 	/*Assign output pointers: */
@@ -135,9 +131,7 @@
 	
 	/*Is there just one found? that would mean we have frozen! : */
-	#ifdef _PARALLEL_
 	MPI_Reduce (&found,&mpi_found,1,MPI_INT,MPI_MAX,0,MPI_COMM_WORLD );
 	MPI_Bcast(&mpi_found,1,MPI_INT,0,MPI_COMM_WORLD);                
 	found=mpi_found;
-	#endif
 
 	return found;
@@ -195,9 +189,7 @@
 	}
 
-	#ifdef _PARALLEL_
 	MPI_Reduce (&found,&mpi_found,1,MPI_INT,MPI_SUM,0,MPI_COMM_WORLD );
 	MPI_Bcast(&mpi_found,1,MPI_INT,0,MPI_COMM_WORLD);                
 	found=mpi_found;
-	#endif
 
 	return found;
@@ -228,9 +220,7 @@
 	}
 
-	#ifdef _PARALLEL_
 	MPI_Reduce (&found,&mpi_found,1,MPI_INT,MPI_SUM,0,MPI_COMM_WORLD );
 	MPI_Bcast(&mpi_found,1,MPI_INT,0,MPI_COMM_WORLD);                
 	found=mpi_found;
-	#endif
 
 	if (found){
@@ -289,9 +279,7 @@
 	}
 
-	#ifdef _PARALLEL_
 	MPI_Reduce (&num_unstable_constraints,&sum_num_unstable_constraints,1,MPI_INT,MPI_SUM,0,MPI_COMM_WORLD );
 	MPI_Bcast(&sum_num_unstable_constraints,1,MPI_INT,0,MPI_COMM_WORLD);                
 	num_unstable_constraints=sum_num_unstable_constraints;
-	#endif
 	
 	/*Assign output pointers: */
@@ -329,9 +317,7 @@
 	}
 
-	#ifdef _PARALLEL_
 	MPI_Reduce (&max_penetration,&mpi_max_penetration,1,MPI_DOUBLE,MPI_MAX,0,MPI_COMM_WORLD );
 	MPI_Bcast(&mpi_max_penetration,1,MPI_DOUBLE,0,MPI_COMM_WORLD);                
 	max_penetration=mpi_max_penetration;
-	#endif
 
 	/*feed max_penetration to inputs: */
@@ -368,9 +354,7 @@
 	}
 
-	#ifdef _PARALLEL_
 	MPI_Reduce (&num_unstable_constraints,&sum_num_unstable_constraints,1,MPI_INT,MPI_SUM,0,MPI_COMM_WORLD );
 	MPI_Bcast(&sum_num_unstable_constraints,1,MPI_INT,0,MPI_COMM_WORLD);                
 	num_unstable_constraints=sum_num_unstable_constraints;
-	#endif
 
 	return num_unstable_constraints;
Index: issm/trunk-jpl/src/c/modules/ConstraintsStatex/ThermalConstraintsState.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/ConstraintsStatex/ThermalConstraintsState.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/ConstraintsStatex/ThermalConstraintsState.cpp	(revision 12016)
@@ -36,9 +36,7 @@
 	}
 
-	#ifdef _PARALLEL_
 	MPI_Reduce (&num_unstable_constraints,&sum_num_unstable_constraints,1,MPI_INT,MPI_SUM,0,MPI_COMM_WORLD );
 	MPI_Bcast(&sum_num_unstable_constraints,1,MPI_INT,0,MPI_COMM_WORLD);                
 	num_unstable_constraints=sum_num_unstable_constraints;
-	#endif
 
 	/*Have we converged? : */
Index: issm/trunk-jpl/src/c/modules/ConstraintsStatex/ThermalIsPresent.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/ConstraintsStatex/ThermalIsPresent.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/ConstraintsStatex/ThermalIsPresent.cpp	(revision 12016)
@@ -28,9 +28,7 @@
 	}
 	
-	#ifdef _PARALLEL_
 	MPI_Reduce (&found,&mpi_found,1,MPI_INT,MPI_SUM,0,MPI_COMM_WORLD );
 	MPI_Bcast(&mpi_found,1,MPI_INT,0,MPI_COMM_WORLD);                
 	found=mpi_found;
-	#endif
 
 	return found;
Index: issm/trunk-jpl/src/c/modules/Dakotax/Dakotax.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/Dakotax/Dakotax.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/Dakotax/Dakotax.cpp	(revision 12016)
@@ -72,7 +72,5 @@
 	parameters->FindParam(&dakota_error_file,QmuErrNameEnum);
 
-	#ifdef _PARALLEL_
 	if(my_rank==0){
-	#endif
 	
 		// Instantiate/initialize the parallel library and problem description
@@ -111,10 +109,7 @@
 		selected_strategy.run_strategy();
 		
-		#ifdef _PARALLEL_
 		//Warn other cpus that we are done running the dakota iterator, by setting the counter to -1:
 		SpawnCore(NULL,0, NULL,NULL,0,femmodel,-1);
-		#endif
 
-	#ifdef _PARALLEL_
 	}
 	else{
@@ -124,5 +119,4 @@
 		}
 	}
-	#endif //#ifdef _PARALLEL_
 
 	/*Free ressources:*/
Index: issm/trunk-jpl/src/c/modules/InputConvergencex/InputConvergencex.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/InputConvergencex/InputConvergencex.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/InputConvergencex/InputConvergencex.cpp	(revision 12016)
@@ -30,8 +30,6 @@
 
 	/*In parallel, we need to gather the converged status: */
-	#ifdef _PARALLEL_
 	MPI_Allreduce ( (void*)&num_notconverged,(void*)&total_notconverged,1,MPI_INT,MPI_SUM,MPI_COMM_WORLD);
 	num_notconverged=total_notconverged;
-	#endif
 	_printf_(VerboseConvergence(),"      #elements above convergence criterion = %i\n",num_notconverged);
 
Index: issm/trunk-jpl/src/c/modules/MassFluxx/MassFluxx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/MassFluxx/MassFluxx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/MassFluxx/MassFluxx.cpp	(revision 12016)
@@ -59,8 +59,6 @@
 	}
 
-	#ifdef _PARALLEL_
 	MPI_Allreduce ( (void*)&mass_flux,(void*)&all_mass_flux,1,MPI_DOUBLE,MPI_SUM,MPI_COMM_WORLD);
 	mass_flux=all_mass_flux;
-	#endif
 
 	/*Free ressources:*/
Index: issm/trunk-jpl/src/c/modules/MaxAbsVxx/MaxAbsVxx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/MaxAbsVxx/MaxAbsVxx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/MaxAbsVxx/MaxAbsVxx.cpp	(revision 12016)
@@ -31,10 +31,8 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Figure out maximum across the cluster: */
 	MPI_Reduce (&maxabsvx,&node_maxabsvx,1,MPI_DOUBLE,MPI_MAX,0,MPI_COMM_WORLD );
 	MPI_Bcast(&node_maxabsvx,1,MPI_DOUBLE,0,MPI_COMM_WORLD);   
 	maxabsvx=node_maxabsvx;
-	#endif
 
 	/*Assign output pointers:*/
Index: issm/trunk-jpl/src/c/modules/MaxAbsVyx/MaxAbsVyx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/MaxAbsVyx/MaxAbsVyx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/MaxAbsVyx/MaxAbsVyx.cpp	(revision 12016)
@@ -32,10 +32,8 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Figure out maximum across the cluster: */
 	MPI_Reduce (&maxabsvy,&node_maxabsvy,1,MPI_DOUBLE,MPI_MAX,0,MPI_COMM_WORLD );
 	MPI_Bcast(&node_maxabsvy,1,MPI_DOUBLE,0,MPI_COMM_WORLD);   
 	maxabsvy=node_maxabsvy;
-	#endif
 
 	/*Assign output pointers:*/
Index: issm/trunk-jpl/src/c/modules/MaxAbsVzx/MaxAbsVzx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/MaxAbsVzx/MaxAbsVzx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/MaxAbsVzx/MaxAbsVzx.cpp	(revision 12016)
@@ -31,10 +31,8 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Figure out minimum across the cluster: */
 	MPI_Reduce (&maxabsvz,&node_maxabsvz,1,MPI_DOUBLE,MPI_MAX,0,MPI_COMM_WORLD );
 	MPI_Bcast(&node_maxabsvz,1,MPI_DOUBLE,0,MPI_COMM_WORLD);   
 	maxabsvz=node_maxabsvz;
-	#endif
 
 	/*Assign output pointers:*/
Index: issm/trunk-jpl/src/c/modules/MaxVelx/MaxVelx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/MaxVelx/MaxVelx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/MaxVelx/MaxVelx.cpp	(revision 12016)
@@ -32,10 +32,8 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Figure out maximum across the cluster: */
 	MPI_Reduce (&maxvel,&node_maxvel,1,MPI_DOUBLE,MPI_MAX,0,MPI_COMM_WORLD );
 	MPI_Bcast(&node_maxvel,1,MPI_DOUBLE,0,MPI_COMM_WORLD);   
 	maxvel=node_maxvel;
-	#endif
 
 	/*Assign output pointers:*/
Index: issm/trunk-jpl/src/c/modules/MaxVxx/MaxVxx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/MaxVxx/MaxVxx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/MaxVxx/MaxVxx.cpp	(revision 12016)
@@ -31,10 +31,8 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Figure out minimum across the cluster: */
 	MPI_Reduce (&maxvx,&node_maxvx,1,MPI_DOUBLE,MPI_MAX,0,MPI_COMM_WORLD );
 	MPI_Bcast(&node_maxvx,1,MPI_DOUBLE,0,MPI_COMM_WORLD);   
 	maxvx=node_maxvx;
-	#endif
 
 	/*Assign output pointers:*/
Index: issm/trunk-jpl/src/c/modules/MaxVyx/MaxVyx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/MaxVyx/MaxVyx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/MaxVyx/MaxVyx.cpp	(revision 12016)
@@ -31,10 +31,8 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Figure out minimum across the cluster: */
 	MPI_Reduce (&maxvy,&node_maxvy,1,MPI_DOUBLE,MPI_MAX,0,MPI_COMM_WORLD );
 	MPI_Bcast(&node_maxvy,1,MPI_DOUBLE,0,MPI_COMM_WORLD);   
 	maxvy=node_maxvy;
-	#endif
 
 	/*Assign output pointers:*/
Index: issm/trunk-jpl/src/c/modules/MaxVzx/MaxVzx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/MaxVzx/MaxVzx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/MaxVzx/MaxVzx.cpp	(revision 12016)
@@ -32,10 +32,8 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Figure out minimum across the cluster: */
 	MPI_Reduce (&maxvz,&node_maxvz,1,MPI_DOUBLE,MPI_MAX,0,MPI_COMM_WORLD );
 	MPI_Bcast(&node_maxvz,1,MPI_DOUBLE,0,MPI_COMM_WORLD);   
 	maxvz=node_maxvz;
-	#endif
 
 	/*Assign output pointers:*/
Index: issm/trunk-jpl/src/c/modules/MinVelx/MinVelx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/MinVelx/MinVelx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/MinVelx/MinVelx.cpp	(revision 12016)
@@ -32,10 +32,8 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Figure out minimum across the cluster: */
 	MPI_Reduce (&minvel,&node_minvel,1,MPI_DOUBLE,MPI_MIN,0,MPI_COMM_WORLD );
 	MPI_Bcast(&node_minvel,1,MPI_DOUBLE,0,MPI_COMM_WORLD);   
 	minvel=node_minvel;
-	#endif
 
 	/*Assign output pointers:*/
Index: issm/trunk-jpl/src/c/modules/MinVxx/MinVxx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/MinVxx/MinVxx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/MinVxx/MinVxx.cpp	(revision 12016)
@@ -31,10 +31,8 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Figure out minimum across the cluster: */
 	MPI_Reduce (&minvx,&node_minvx,1,MPI_DOUBLE,MPI_MIN,0,MPI_COMM_WORLD );
 	MPI_Bcast(&node_minvx,1,MPI_DOUBLE,0,MPI_COMM_WORLD);   
 	minvx=node_minvx;
-	#endif
 
 	/*Assign output pointers:*/
Index: issm/trunk-jpl/src/c/modules/MinVyx/MinVyx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/MinVyx/MinVyx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/MinVyx/MinVyx.cpp	(revision 12016)
@@ -31,10 +31,8 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Figure out minimum across the cluster: */
 	MPI_Reduce (&minvy,&node_minvy,1,MPI_DOUBLE,MPI_MIN,0,MPI_COMM_WORLD );
 	MPI_Bcast(&node_minvy,1,MPI_DOUBLE,0,MPI_COMM_WORLD);   
 	minvy=node_minvy;
-	#endif
 
 	/*Assign output pointers:*/
Index: issm/trunk-jpl/src/c/modules/MinVzx/MinVzx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/MinVzx/MinVzx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/MinVzx/MinVzx.cpp	(revision 12016)
@@ -31,10 +31,8 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Figure out minimum across the cluster: */
 	MPI_Reduce (&minvz,&node_minvz,1,MPI_DOUBLE,MPI_MIN,0,MPI_COMM_WORLD );
 	MPI_Bcast(&node_minvz,1,MPI_DOUBLE,0,MPI_COMM_WORLD);   
 	minvz=node_minvz;
-	#endif
 
 	/*Assign output pointers:*/
Index: issm/trunk-jpl/src/c/modules/ModelProcessorx/ElementsAndVerticesPartitioning.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/ModelProcessorx/ElementsAndVerticesPartitioning.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/ModelProcessorx/ElementsAndVerticesPartitioning.cpp	(revision 12016)
@@ -63,5 +63,4 @@
 	else elements_width=6; //penta elements
 
-	#ifdef _PARALLEL_
 	/*Determine parallel partitioning of elements: we use Metis for now. First load the data, then partition*/
 	if(dim==2){
@@ -79,9 +78,4 @@
 	xfree((void**)&elements);
 	xfree((void**)&elements2d);
-
-	#else
-	/*In serial mode, epart is full of 0: all elements belong to cpu 0: */
-	epart=(int*)xcalloc(numberofelements,sizeof(int));
-	#endif
 
 	/*Deal with rifts, they have to be included into one partition only, not several: */
Index: issm/trunk-jpl/src/c/modules/ParsePetscOptionsx/ParsePetscOptionsx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/ParsePetscOptionsx/ParsePetscOptionsx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/ParsePetscOptionsx/ParsePetscOptionsx.cpp	(revision 12016)
@@ -92,5 +92,4 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Ok, broadcast to other cpus: */
 	MPI_Bcast(&numanalyses,1,MPI_INT,0,MPI_COMM_WORLD);
@@ -111,5 +110,4 @@
 		if(my_rank!=0)strings[i]=string;
 	}
-	#endif
 
 	/*Ok, out of strings and analyses and numanalyses, create parameters, and plug them into parameters container: */
Index: issm/trunk-jpl/src/c/modules/Solverx/SolverxPetsc.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/Solverx/SolverxPetsc.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/Solverx/SolverxPetsc.cpp	(revision 12016)
@@ -123,5 +123,5 @@
 	KSPSetFromOptions(ksp);
 
-	#if defined(_SERIAL_) && _PETSC_MAJOR_==3
+	#if _PETSC_MAJOR_==3
 	/*Specific solver?: */
 	KSPGetPC(ksp,&pc);
@@ -133,7 +133,5 @@
 		#endif
 	}
-	#endif
 
-	#if defined(_PARALLEL_) && _PETSC_MAJOR_==3
 	/*Stokes: */
 	if (solver_type==StokesSolverEnum){
Index: issm/trunk-jpl/src/c/modules/TimeAdaptx/TimeAdaptx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/TimeAdaptx/TimeAdaptx.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/modules/TimeAdaptx/TimeAdaptx.cpp	(revision 12016)
@@ -31,10 +31,8 @@
 	}
 
-	#ifdef _PARALLEL_
 	/*Figure out minimum across the cluster: */
 	MPI_Reduce (&min_dt,&node_min_dt,1,MPI_DOUBLE,MPI_MIN,0,MPI_COMM_WORLD );
 	MPI_Bcast(&node_min_dt,1,MPI_DOUBLE,0,MPI_COMM_WORLD);
 	min_dt=node_min_dt;
-	#endif
 
 	/*Assign output pointers:*/
Index: issm/trunk-jpl/src/c/objects/FemModel.cpp
===================================================================
--- issm/trunk-jpl/src/c/objects/FemModel.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/objects/FemModel.cpp	(revision 12016)
@@ -22,5 +22,4 @@
 /*FUNCTION FemModel::constructor {{{1*/
 FemModel::FemModel(char* inputfilename, char* outputfilename, const int in_solution_type,const int* analyses,const int nummodels){
-#ifdef _PARALLEL_
 
 	/*intermediary*/
@@ -75,6 +74,4 @@
 	/*Add output file name to parameters: */
 	this->parameters->AddObject(new StringParam(OutputfilenameEnum,outputfilename));
-
-#endif
 
 }
Index: issm/trunk-jpl/src/c/solutions/issm.cpp
===================================================================
--- issm/trunk-jpl/src/c/solutions/issm.cpp	(revision 12015)
+++ issm/trunk-jpl/src/c/solutions/issm.cpp	(revision 12016)
@@ -36,8 +36,4 @@
 
 	MODULEBOOT();
-
-	#ifndef _PARALLEL_
-	_error_(" parallel executable was compiled without support of parallel libraries!");
-	#endif
 
 	/*Initialize environments: Petsc, MPI, etc...: */