Index: issm/trunk-jpl/src/c/Container/Parameters.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Parameters.cpp	(revision 11695)
+++ issm/trunk-jpl/src/c/Container/Parameters.cpp	(revision 12365)
@@ -4,5 +4,5 @@
  */
 
-/*Headers: {{{1*/
+/*Headers: {{{*/
 #ifdef HAVE_CONFIG_H
 	#include <config.h>
@@ -25,5 +25,5 @@
 
 /*Object constructors and destructor*/
-/*FUNCTION Parameters::Parameters(){{{1*/
+/*FUNCTION Parameters::Parameters(){{{*/
 Parameters::Parameters(){
 	enum_type=ParametersEnum;
@@ -31,5 +31,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::~Parameters(){{{1*/
+/*FUNCTION Parameters::~Parameters(){{{*/
 Parameters::~Parameters(){
 	return;
@@ -38,5 +38,5 @@
 
 /*Object management*/
-/*FUNCTION Parameters::Exist{{{1*/
+/*FUNCTION Parameters::Exist{{{*/
 bool Parameters::Exist(int enum_type){
 
@@ -51,5 +51,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(bool* pbool,int enum_type){{{1*/
+/*FUNCTION Parameters::FindParam(bool* pbool,int enum_type){{{*/
 void Parameters::FindParam(bool* pbool,int enum_type){ _assert_(this);
 	
@@ -68,5 +68,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(int* pinteger,int enum_type){{{1*/
+/*FUNCTION Parameters::FindParam(int* pinteger,int enum_type){{{*/
 void Parameters::FindParam(int* pinteger,int enum_type){ _assert_(this);
 	
@@ -85,5 +85,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(double* pscalar, int enum_type){{{1*/
+/*FUNCTION Parameters::FindParam(double* pscalar, int enum_type){{{*/
 void Parameters::FindParam(double* pscalar, int enum_type){ _assert_(this);
 	
@@ -102,5 +102,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(char** pstring,int enum_type){{{1*/
+/*FUNCTION Parameters::FindParam(char** pstring,int enum_type){{{*/
 void Parameters::FindParam(char** pstring,int enum_type){ _assert_(this);
 	
@@ -120,5 +120,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(char*** pstringarray,int* pM,int enum_type){{{1*/
+/*FUNCTION Parameters::FindParam(char*** pstringarray,int* pM,int enum_type){{{*/
 void Parameters::FindParam(char*** pstringarray,int* pM,int enum_type){ _assert_(this);
 	
@@ -138,5 +138,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(int** pintarray,int* pM,int enum_type){{{1*/
+/*FUNCTION Parameters::FindParam(int** pintarray,int* pM,int enum_type){{{*/
 void Parameters::FindParam(int** pintarray,int* pM, int enum_type){ _assert_(this);
 
@@ -156,5 +156,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(int** pintarray,int* pM,int* pN,int enum_type){{{1*/
+/*FUNCTION Parameters::FindParam(int** pintarray,int* pM,int* pN,int enum_type){{{*/
 void Parameters::FindParam(int** pintarray,int* pM,int *pN,int enum_type){ _assert_(this);
 
@@ -174,5 +174,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(double** pdoublearray,int* pM,int enum_type){{{1*/
+/*FUNCTION Parameters::FindParam(double** pdoublearray,int* pM,int enum_type){{{*/
 void Parameters::FindParam(double** pdoublearray,int* pM, int enum_type){ _assert_(this);
 
@@ -192,5 +192,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(double** pdoublearray,int* pM, int* pN,int enum_type){{{1*/
+/*FUNCTION Parameters::FindParam(double** pdoublearray,int* pM, int* pN,int enum_type){{{*/
 void Parameters::FindParam(double** pdoublearray,int* pM, int* pN,int enum_type){ _assert_(this);
 
@@ -210,5 +210,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(double*** parray,int* pM,int** pmdims_array,int** pndims_array,int enum_type){{{1*/
+/*FUNCTION Parameters::FindParam(double*** parray,int* pM,int** pmdims_array,int** pndims_array,int enum_type){{{*/
 void Parameters::FindParam(double*** parray,int* pM,int** pmdims_array,int** pndims_array,int enum_type){ _assert_(this);
 	
@@ -227,5 +227,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(Vector** pvec,int enum_type){{{1*/
+/*FUNCTION Parameters::FindParam(Vector** pvec,int enum_type){{{*/
 void Parameters::FindParam(Vector** pvec,int enum_type){ _assert_(this);
 	
@@ -245,5 +245,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(Matrix** pmat,int enum_type){{{1*/
+/*FUNCTION Parameters::FindParam(Matrix** pmat,int enum_type){{{*/
 void Parameters::FindParam(Matrix** pmat,int enum_type){ _assert_(this);
 	
@@ -263,5 +263,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(FILE** pfid,int enum_type){{{1*/
+/*FUNCTION Parameters::FindParam(FILE** pfid,int enum_type){{{*/
 void Parameters::FindParam(FILE** pfid,int enum_type){ _assert_(this);
 
@@ -281,5 +281,5 @@
 /*}}}*/
 
-/*FUNCTION Parameters::SetParam(bool boolean,int enum_type);{{{1*/
+/*FUNCTION Parameters::SetParam(bool boolean,int enum_type);{{{*/
 void   Parameters::SetParam(bool boolean,int enum_type){
 
@@ -293,5 +293,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(int integer,int enum_type);{{{1*/
+/*FUNCTION Parameters::SetParam(int integer,int enum_type);{{{*/
 void   Parameters::SetParam(int integer,int enum_type){
 
@@ -305,5 +305,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(double scalar,int enum_type);{{{1*/
+/*FUNCTION Parameters::SetParam(double scalar,int enum_type);{{{*/
 void   Parameters::SetParam(double scalar,int enum_type){
 
@@ -317,5 +317,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(char* string,int enum_type);{{{1*/
+/*FUNCTION Parameters::SetParam(char* string,int enum_type);{{{*/
 void   Parameters::SetParam(char* string,int enum_type){
 
@@ -329,5 +329,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(char** stringarray,int M, int enum_type);{{{1*/
+/*FUNCTION Parameters::SetParam(char** stringarray,int M, int enum_type);{{{*/
 void   Parameters::SetParam(char** stringarray,int M, int enum_type){
 
@@ -341,5 +341,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(double* doublearray,int M,int enum_type);{{{1*/
+/*FUNCTION Parameters::SetParam(double* doublearray,int M,int enum_type);{{{*/
 void   Parameters::SetParam(double* doublearray,int M, int enum_type){
 
@@ -353,5 +353,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(double* doublearray,int M,int N, int enum_type);{{{1*/
+/*FUNCTION Parameters::SetParam(double* doublearray,int M,int N, int enum_type);{{{*/
 void   Parameters::SetParam(double* doublearray,int M, int N, int enum_type){
 
@@ -365,5 +365,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(int* intarray,int M,int enum_type);{{{1*/
+/*FUNCTION Parameters::SetParam(int* intarray,int M,int enum_type);{{{*/
 void   Parameters::SetParam(int* intarray,int M, int enum_type){
 
@@ -377,5 +377,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(int* intarray,int M,int N, int enum_type);{{{1*/
+/*FUNCTION Parameters::SetParam(int* intarray,int M,int N, int enum_type);{{{*/
 void   Parameters::SetParam(int* intarray,int M, int N, int enum_type){
 
@@ -389,5 +389,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(Vector* vector,int enum_type);{{{1*/
+/*FUNCTION Parameters::SetParam(Vector* vector,int enum_type);{{{*/
 void   Parameters::SetParam(Vector* vector,int enum_type){
 
@@ -401,5 +401,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(Matrix* matrix,int enum_type);{{{1*/
+/*FUNCTION Parameters::SetParam(Matrix* matrix,int enum_type);{{{*/
 void   Parameters::SetParam(Matrix* matrix,int enum_type){
 
@@ -413,5 +413,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(FILE* fid,int enum_type);{{{1*/
+/*FUNCTION Parameters::SetParam(FILE* fid,int enum_type);{{{*/
 void   Parameters::SetParam(FILE* fid,int enum_type){
 
@@ -425,5 +425,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::UnitConversion(int direction_enum);{{{1*/
+/*FUNCTION Parameters::UnitConversion(int direction_enum);{{{*/
 void   Parameters::UnitConversion(int direction_enum){
 
@@ -439,5 +439,5 @@
 /*}}}*/
 
-/*FUNCTION Parameters::FindParamObject{{{1*/
+/*FUNCTION Parameters::FindParamObject{{{*/
 Object* Parameters::FindParamObject(int enum_type){
 